#! /bin/bash

CONFFILE=/usr/local/etc/qmrtg.conf

# loads settings from the config file, if it exists
[ $CONFFILE -a -f $CONFFILE ] && . $CONFFILE || { echo "Cannot find configuration file! Terminating."; exit 4; }


# syncs for one specific target
# $1 is the target name 
# $2 the log dir to look in
function handleTarget() {
    local TARGET=$1
    local LOGDIR=$2
    
    # $LOGDIR valid multilog dir?
    [ -r "$LOGDIR/current" ] || { echo "$LOGDIR is not a valid multilog directory. Terminating."; exit 3; }
    
    LASTENTRY=`tail -1 $LOGDIR/current | awk -F' ' '{ print $1 }' | sed 's/\@//g'`
    echo $LASTENTRY > "$QMRTG_DBPATH/$TARGET.last"
}


[ -w "$QMRTG_DBPATH" ] || { echo "QMRTG db path not specified, not existent or not accessible for writing. Terminating.\n"; exit 5; }

# calling one handleTarget per known target
for (( i=1; $i <= ${#AVAILCMDS[*]}; $((i++)) )) ;
do 
    echo "syncing for ${AVAILCMDS[$i]}"
    handleTarget ${AVAILCMDS[$i]} ${LOGDIRS[$i]}
done

echo "done."
